let myWords = [
  "Every", "boy", "deserves", "love", "from", "a", "girl,", 
  "just", "like", "a", "mother's", "love."
];
let colors = []; // To hold colors for the gradient
let xVal;
let yVal = 100;

function setup() {
  createCanvas(1024, 400);
  noStroke();
  generateRandomColors(); // Generate initial colors
}

function draw() {
  // Draw the gradient background
  for (let i = 0; i < colors.length; i++) {
    fill(colors[i]);
    rect((width / colors.length) * i, 0, width / colors.length, height);
  }

  // Display the emotional quote
  fill(255); // Set text color to white for contrast
  textSize(24);
  textAlign(CENTER);
  xVal = width / 2; // Start at the center for better alignment

  // Display each word with a bit of vertical spacing to enhance emotion
  for (let i = 0; i < myWords.length; i++) {
    text(myWords[i], xVal, yVal + (i * 30)); // 30 pixels for vertical spacing
  }
}

// Generate random colors for the gradient
function generateRandomColors() {
  colors = []; // Clear previous colors
  for (let i = 0; i < 256; i++) {
    colors.push(color(random(255), random(200), random(255))); // Keep some pinkish tones for an emotional feel
  }
}

// Change gradient colors on mouse press
function mousePressed() {
  generateRandomColors(); // Regenerate colors on click
}